Get your organization
GET/organization
Name, plan and limits, and this month's usage.
- Authentication
- Send an admin key (dk_admin_…) as a Bearer token. Data keys are refused here.
- Scope
organization- Cost
- Free
Response
The data field is an object with these fields.
| Name | Type | Description |
|---|---|---|
idrequired | string | |
namerequired | string | |
slugrequired | string | |
statusrequired | string | One of: |
planrequired | object | |
usagerequired | object |
Example request
curl "https://api.kite.sa/v1/organization" \
-H "Authorization: Bearer $KITE_ADMIN_KEY"import { Kite } from "@kite-sa/sdk";
const kite = new Kite({ apiKey: process.env.KITE_ADMIN_KEY });
const result = await kite.organization.get();import os
from kite_sa import Kite
kite = Kite(api_key=os.environ["KITE_ADMIN_KEY"])
result = kite.organization.get()Open in the interactive reference
Related endpoints
- List data keys
GET /organization/keys - Create a data key
POST /organization/keys - Revoke a key
POST /organization/keys/{key_id}/revoke - List projects
GET /organization/projects - Daily usage
GET /organization/usage - List members and invitations
GET /organization/members - List audit events
GET /organization/audit-events - List request logs
GET /organization/request-logs - Create a webhook endpoint
POST /organization/webhooks - List webhook endpoints
GET /organization/webhooks - Delete a webhook endpoint
POST /organization/webhooks/{webhook_id}/delete - List deliveries
GET /organization/webhooks/{webhook_id}/deliveries - Replay a delivery
POST /organization/webhooks/{webhook_id}/deliveries/{delivery_id}/replay